Gentoo Archives: gentoo-dev

From: Alexis Ballier <aballier@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] chromium-54 needs ffmpeg-3.0.1
Date: Tue, 30 Aug 2016 07:38:08
Message-Id: 20160830093751.32ea6474@gentoo.org
In Reply to: Re: [gentoo-dev] chromium-54 needs ffmpeg-3.0.1 by Kent Fredric
1 On Tue, 30 Aug 2016 16:33:04 +1200
2 Kent Fredric <kentnl@g.o> wrote:
3
4 > On Sun, 28 Aug 2016 19:28:48 +0200
5 > "PaweĊ‚ Hajdan, Jr." <phajdan.jr@g.o> wrote:
6 >
7 > > C. Mask chromium's system-ffmpeg flag when the dependency on
8 > > ffmpeg-3.0.1 can't be satisfied
9 >
10 > I'd pick this option, mostly because this is the path that introduces
11 > the least amount of space for breaking users setups.
12
13
14 You seem to forget the burden and the bugs this introduces by itself. A
15 quick glance at bugzie gave me:
16
17 https://bugs.gentoo.org/show_bug.cgi?id=562600
18 https://bugs.gentoo.org/show_bug.cgi?id=513048
19 https://bugs.gentoo.org/show_bug.cgi?id=507080
20 https://bugs.gentoo.org/show_bug.cgi?id=506268
21 https://bugs.gentoo.org/show_bug.cgi?id=493670
22 https://bugs.gentoo.org/show_bug.cgi?id=491850
23 https://bugs.gentoo.org/show_bug.cgi?id=491582
24 https://bugs.gentoo.org/show_bug.cgi?id=491466
25
26
27 Most are fixed, but for me this implies that the space for breaking
28 users setup is much wider with bundled ffmpeg...

Replies

Subject Author
Re: [gentoo-dev] chromium-54 needs ffmpeg-3.0.1 Kent Fredric <kentnl@g.o>